Bug 490651 - Video artifacts on ATI RV250 (possibly related to kernel mode setting)
Video artifacts on ATI RV250 (possibly related to kernel mode setting)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 10:07 EDT by Jared Smith
Modified: 2009-05-11 17:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 17:56:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (50.62 KB, text/plain)
2009-04-07 11:47 EDT, Sam Tygier
no flags Details
corruption (781.53 KB, image/png)
2009-04-10 13:22 EDT, Sam Tygier
no flags Details
corruption on desktop (753.34 KB, image/png)
2009-04-10 13:30 EDT, Sam Tygier
no flags Details
corruption in firefox (69.48 KB, image/png)
2009-04-10 13:31 EDT, Sam Tygier
no flags Details
Screenshot showing background corruption (1.12 MB, image/png)
2009-04-15 14:24 EDT, Jared Smith
no flags Details
Xorg.0.log (with KMS set) (51.33 KB, text/plain)
2009-04-15 14:45 EDT, Jared Smith
no flags Details
Screenshow showing miscolored scrollbars (481.67 KB, image/png)
2009-04-15 15:27 EDT, Jared Smith
no flags Details

  None (edit)
Description Jared Smith 2009-03-17 10:07:28 EDT
Description of problem:

I get lots of video artifacts (especially cursor and scroll-bar artifacts) with the latest and greatest from rawhide (as of 17 Mar 2009).  This may very well be more related to the kernel than the xorg driver, as (if my memory serves me) this is the first kernel that enabled the kernel mode setting for this particular card.

Version-Release number of selected component (if applicable):

kernel-2.6.29-0.237.rc7.git4.fc11.i586
xorg-x11-drv-ati-6.11.0-10.fc11.i586

How reproducible:

Always with this kernel and Xorg driver

Steps to Reproduce:
1.  Boot the 2.6.29-0.237.rc7 kernel
2.  Look at the pointer (goes to a square full of artifacts) and scrollbars (often turn a cyan color in the lower-half of the scrollbar), as well as other artifacts
  
Actual results:

Lots of video artifacts

Expected results:

No video artifacts

Additional info:

I don't have Desktop Effects turned on.  I haven't yet tried with "nomodeset", but I'll try that next and report it here as well.
Comment 1 Jared Smith 2009-03-18 09:44:17 EDT
Setting "nomodeset" on the kernel command line seems to take care of most of the issues for now, so I'll leave that until someone has more time to look at the artifact issue.
Comment 2 Dave Airlie 2009-03-18 20:26:02 EDT
can you attach the dmesg from a kms bootup?

and /var/log/Xorg.0.log
Comment 3 François Cami 2009-04-06 17:08:28 EDT
Jared,

Could you try kernel-2.6.29.1-46.fc11 and xorg-x11-drv-ati-6.12.1-4.fc11
without the nomodeset kernel parameter ?

Could you also add dmesg and /var/log/Xorg.0.log as uncompressed text/plain attachments to this bug ?

Thanks in advance

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Sam Tygier 2009-04-07 11:47:09 EDT
i think i am seeing the same issue.
kernel-2.6.29.1-52.fc11.i586
xorg-x11-drv-ati-6.12.1-8.fc11.i586

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY

i see things like
a square that follows the mouse around
dots and dashes randomly across the screen
missing characters in text

it seems to get gradually cleaned up as stuff is redrawn. but lots comes back after a VT switch.

i dont have an xorg.conf
Comment 5 Sam Tygier 2009-04-07 11:47:56 EDT
Created attachment 338524 [details]
Xorg.0.log
Comment 6 Sam Tygier 2009-04-07 11:57:18 EDT
with nomodeset, there is no corruption.

do you want me to try the older kernel and ati driver mentioned above, or do my ones supersede them
Comment 7 François Cami 2009-04-07 15:05:42 EDT
VT switch should be fixed as of kernel-2.6.29.1-54.fc11 .
Jared, Sam, could you please try the following from Koji as needed :
http://koji.fedoraproject.org/koji/buildinfo?buildID=96839
http://koji.fedoraproject.org/koji/buildinfo?buildID=96941

and report ?

Thanks in advance

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Sam Tygier 2009-04-09 13:05:47 EDT
with kernel-2.6.29.1-54.fc11.i586 the corruption is still present,but not as bad, and it is not made worse by the VT switch.
Comment 9 François Cami 2009-04-10 05:55:36 EDT
Thank you Sam. Could you by any chance get a picture (screenshot or from a camera) of the artifacts ? That would help a lot.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Sam Tygier 2009-04-10 13:22:43 EDT
Created attachment 339113 [details]
corruption

this shows some text corruption.
Comment 11 Sam Tygier 2009-04-10 13:30:43 EDT
Created attachment 339115 [details]
corruption on desktop

on one login the corruption on the desktop disappeared after the initial fade in. this time it stayed.

the text corruption seems to go away after i use the system for a while.
Comment 12 Sam Tygier 2009-04-10 13:31:58 EDT
Created attachment 339116 [details]
corruption in firefox

another example
Comment 13 François Cami 2009-04-10 15:40:49 EDT
Thank you Sam.

Screenshots annoying similar to bug # 493505 , but DPI is OK in the Xorg log.

Switching to ASSIGNED, upping severity.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Jared Smith 2009-04-15 14:24:46 EDT
Created attachment 339731 [details]
Screenshot showing background corruption
Comment 15 Jared Smith 2009-04-15 14:40:50 EDT
I just uploaded another attachment, showing the continued corruption with KMS set.

Essentially, I get a lot of black horizontal lines (typically on the background, but often times in graphics in a browser as well).  I'm also seeing periodic glyph corruption (typically in the tab titles in gnome-terminal), and from time to time the scrollbars will turn light blue.  

I'll try to grab more screenshots and attach them if they're useful.
Comment 16 Jared Smith 2009-04-15 14:45:06 EDT
Created attachment 339734 [details]
Xorg.0.log (with KMS set)

This is my X log (with KMS on)
Comment 17 Jared Smith 2009-04-15 15:27:37 EDT
Created attachment 339735 [details]
Screenshow showing miscolored scrollbars

This screenshot shows the weird colorations on the scrollbars
Comment 18 Jared Smith 2009-04-28 11:47:02 EDT
Just as an additional data point, this problem continues to happen with kernel modesetting on the preview release.  I'm running the following versions:

kernel-2.6.29.1-102.fc11.i586
xorg-x11-drv-ati-6.12.2-6.fc11.i586

Please let me know if you'd like me to add additional screenshots.
Comment 19 palmercox 2009-05-09 13:08:08 EDT
I used to be experiencing this same problem as well.  However, sometime around when kernel 2.6.29.2-126.fc11.i586 was installed, this problem seems to have gone away for me.
Comment 20 Jared Smith 2009-05-11 16:10:13 EDT
For what it's worth, the 2.6.29.2-126 kernel appears to have cleared things up for me as well.  (Not sure if it was the kernel or the ATI xorg driver, so I've included both version numbers below).

Thanks for solving this problem!

[jsmith@localhost /]$ uname -r
2.6.29.2-126.fc11.i586
[jsmith@localhost /]$ rpm -qa | grep xorg-x11-drv-ati
xorg-x11-drv-ati-6.12.2-13.fc11.i586
Comment 21 François Cami 2009-05-11 17:56:54 EDT
Thank you very much for testing. Closing.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.